# XQilla Simple API Documentation

# RegexGroupStore Class Reference

The pure virtual base class for accessing regular expression group values at runtime. More...

`#include <RegexGroupStore.hpp>`

List of all members.

## Public Member Functions

virtual | ~RegexGroupStore ()
| default destructor
virtual const XMLCh * | getGroup (int index) const =0
| Looks up the value of a variable by namespace URI and localname pair.

## Detailed Description

The pure virtual base class for accessing regular expression group values at runtime.

## Constructor & Destructor Documentation

virtual RegexGroupStore::~RegexGroupStore | ( |  | ) | `[inline, virtual]`

default destructor

## Member Function Documentation

virtual const XMLCh* RegexGroupStore::getGroup | ( | int | index | ) | const`[pure virtual]`

Looks up the value of a variable by namespace URI and localname pair.

The documentation for this class was generated from the following file:

- RegexGroupStore.hpp